Paycose Docs
Role
GET/roles

List Roles

Responses: 200, 500

Generated from the code contract; no hand-written description yet.

Request

Example

curl -X GET 'https://api.paycose.com/api/v1/app1/platform/wallet/roles/?limit=10&page=1&use-cursor=true&starting_after=&ending_before=&sort=created_at:desc&q=&filter[created_at]=&filter[id]=&filter[is_custom]=&filter[role_name]=&filter[updated_at]=' \
  -H 'X-Session-Token: {{session_token}}'

Headers

NameValue
X-Session-Token{{session_token}}

Responses

200200 OK

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "list",
  "data": [],
  "page": 1,
  "limit": 10,
  "total_items": 1,
  "total_pages": 1
}
500500 Internal Server Error

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "error",
  "code": "<string>",
  "key": "<string>",
  "i18n_key": "<string>",
  "message": "<string>",
  "request_id": "<string>"
}

On this page